      program        main
      integer        iargc
      character*16   buffer

      call getarg(0,buffer)
      write(0,*) buffer, ' iargc()=', iargc()
      do i = 0 , iargc()
         call getarg(i,buffer)
         write(0,*) '   argument #', i, ' =', buffer
      end do

      stop
      end
